;; 1. Based on: run100
;; 2. Description: FINAL ADVAN6: Simultaneous IV and Oral
;; x1. Author: RZ
;; 3. Label:

$PROBLEM Simultaneous modeling IV and IG data
$INPUT ID RTE TIME DV AMT CMT MDV EVID
$DATA iv-oral-data.csv IGNORE=@

$SUBROUTINES ADVAN6 TRANS1 TOL=3

$MODEL
COMP = (ABSORP)
COMP = (CENTRL)

$PK
CL = THETA(1) * EXP(ETA(1))
V  = THETA(2) * EXP(ETA(2))
KA = THETA(3) * EXP(ETA(3))	
F1 = THETA(4) * EXP(ETA(4))	; Bioavailability
S2 = V
Ke = CL/V

$DES
DADT(1) = -KA*A(1)
DADT(2) = KA*A(1)-Ke*A(2)

$ERROR
Y = F + EPS(1)

$THETA
(30) ; CL(mL/h)
(300) ; V(mL)
(1.1) ; KA(1/h)
(0, .8, 1) ; F1

$OMEGA
(0 FIX) ; IIV CL
(0 FIX) ; IIV V
(0 FIX) ; IIV KA
(0 FIX) ; IIV F1

$SIGMA
.01; Error

$EST METHOD=0 MAXEVAL=2000 NOABORT SIG=3 PRINT=1 POSTHOC
$COV

; Xpose
$TABLE ID RTE TIME DV MDV EVID ONEHEADER NOPRINT FILE=sdtab001.tab
$TABLE CL V KA F1 ONEHEADER NOPRINT FILE=patab001.tab

